Name:          jts
Version:       1.13
Release:       %mkrel 7
Group:         Development/Java
Summary:       Java Topology Suite
License:       LGPLv2+
URL:           http://sourceforge.net/projects/jts-topo-suite
# sh jts-create-tarball.sh < VERSION >
Source0:       %{name}-%{version}.tar.xz
Source1:       %{name}-create-tarball.sh

BuildRequires: maven-local
BuildRequires: maven-plugin-build-helper

BuildArch:     noarch

%description
The JTS Topology Suite is an API for modelling and
manipulating 2-dimensional linear geometry. It provides
numerous geometric predicates and functions. JTS
conforms to the Simple Features Specification for
SQL published by the Open GIS Consortium.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin . "
<configuration>
  <archive>
    <manifestFile>java/src/MANIFEST.MF</manifestFile>
  </archive>
</configuration>"

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," doc/LICENSE.txt $(find . -type f -name "*.java")
sed -i 's/\r//' doc/LICENSE.txt

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license doc/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license doc/LICENSE.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.13-7.mga6
+ Revision: 976489
- First rebuild of the java stack
- sync package jts with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.13-3.mga5
+ Revision: 746836
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 1.13-1.mga5
+ Revision: 636494
- imported package jts


* Mon Aug 26 2013 gil cattaneo <puntogil@libero.it> 1.13-1
- initial rpm
